import ZWidgetManager
import ZWidget

def initialize(context):
    try:
        # try to register the ZWidgetManager class
        context.registerClass(
            ZWidgetManager.ZWidgetManager,
            constructors = (
            ZWidgetManager.manage_addWidgetManagerForm,
            ZWidgetManager.manage_addWidgetManager
            ),
            icon = "XMLWidgetManager.gif"
            )
        
        # try to register the ZWidget class
        context.registerClass(
            ZWidget.ZWidget,
            constructors = (
            ZWidget.manage_addWidgetForm,
            ZWidget.manage_addWidget
            ),
            icon = "XMLWidget.gif"
            )   
    except:
        # throw all exceptions on stderr
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.\
                                     format_exception(type, val, tb), ''))
        del type, val, tb  
